package com.emr.entity.his;

import java.util.Date;

public class HISBA6 {
    private Long fid;

    private String fprn;

    private Integer ftimes;

    private String fflfsbh;

    private String fflfs;

    private String fflcxbh;

    private String fflcx;

    private String fflzzbh;

    private String fflzz;

    private Integer fyjy;

    private Integer fycs;

    private Integer fyts;

    private Date fyrq1;

    private Date fyrq2;

    private Integer fqjy;

    private Integer fqcs;

    private Integer fqts;

    private Date fqrq1;

    private Date fqrq2;

    private String fzname;

    private Integer fzjy;

    private Integer fzcs;

    private Integer fzts;

    private Date fzrq1;

    private Date fzrq2;

    private String fhlfsbh;

    private String fhlfs;

    private String fhlffbh;

    private String fhlff;

    private String fqtype;

    private String fqt;

    private String fqn;

    private String fqm;

    private String fqall;

    private String fqallbh;

    public Long getFid() {
        return fid;
    }

    public void setFid(Long fid) {
        this.fid = fid;
    }

    public String getFprn() {
        return fprn;
    }

    public void setFprn(String fprn) {
        this.fprn = fprn == null ? null : fprn.trim();
    }

    public Integer getFtimes() {
        return ftimes;
    }

    public void setFtimes(Integer ftimes) {
        this.ftimes = ftimes;
    }

    public String getFflfsbh() {
        return fflfsbh;
    }

    public void setFflfsbh(String fflfsbh) {
        this.fflfsbh = fflfsbh == null ? null : fflfsbh.trim();
    }

    public String getFflfs() {
        return fflfs;
    }

    public void setFflfs(String fflfs) {
        this.fflfs = fflfs == null ? null : fflfs.trim();
    }

    public String getFflcxbh() {
        return fflcxbh;
    }

    public void setFflcxbh(String fflcxbh) {
        this.fflcxbh = fflcxbh == null ? null : fflcxbh.trim();
    }

    public String getFflcx() {
        return fflcx;
    }

    public void setFflcx(String fflcx) {
        this.fflcx = fflcx == null ? null : fflcx.trim();
    }

    public String getFflzzbh() {
        return fflzzbh;
    }

    public void setFflzzbh(String fflzzbh) {
        this.fflzzbh = fflzzbh == null ? null : fflzzbh.trim();
    }

    public String getFflzz() {
        return fflzz;
    }

    public void setFflzz(String fflzz) {
        this.fflzz = fflzz == null ? null : fflzz.trim();
    }

    public Integer getFyjy() {
        return fyjy;
    }

    public void setFyjy(Integer fyjy) {
        this.fyjy = fyjy;
    }

    public Integer getFycs() {
        return fycs;
    }

    public void setFycs(Integer fycs) {
        this.fycs = fycs;
    }

    public Integer getFyts() {
        return fyts;
    }

    public void setFyts(Integer fyts) {
        this.fyts = fyts;
    }

    public Date getFyrq1() {
        return fyrq1;
    }

    public void setFyrq1(Date fyrq1) {
        this.fyrq1 = fyrq1;
    }

    public Date getFyrq2() {
        return fyrq2;
    }

    public void setFyrq2(Date fyrq2) {
        this.fyrq2 = fyrq2;
    }

    public Integer getFqjy() {
        return fqjy;
    }

    public void setFqjy(Integer fqjy) {
        this.fqjy = fqjy;
    }

    public Integer getFqcs() {
        return fqcs;
    }

    public void setFqcs(Integer fqcs) {
        this.fqcs = fqcs;
    }

    public Integer getFqts() {
        return fqts;
    }

    public void setFqts(Integer fqts) {
        this.fqts = fqts;
    }

    public Date getFqrq1() {
        return fqrq1;
    }

    public void setFqrq1(Date fqrq1) {
        this.fqrq1 = fqrq1;
    }

    public Date getFqrq2() {
        return fqrq2;
    }

    public void setFqrq2(Date fqrq2) {
        this.fqrq2 = fqrq2;
    }

    public String getFzname() {
        return fzname;
    }

    public void setFzname(String fzname) {
        this.fzname = fzname == null ? null : fzname.trim();
    }

    public Integer getFzjy() {
        return fzjy;
    }

    public void setFzjy(Integer fzjy) {
        this.fzjy = fzjy;
    }

    public Integer getFzcs() {
        return fzcs;
    }

    public void setFzcs(Integer fzcs) {
        this.fzcs = fzcs;
    }

    public Integer getFzts() {
        return fzts;
    }

    public void setFzts(Integer fzts) {
        this.fzts = fzts;
    }

    public Date getFzrq1() {
        return fzrq1;
    }

    public void setFzrq1(Date fzrq1) {
        this.fzrq1 = fzrq1;
    }

    public Date getFzrq2() {
        return fzrq2;
    }

    public void setFzrq2(Date fzrq2) {
        this.fzrq2 = fzrq2;
    }

    public String getFhlfsbh() {
        return fhlfsbh;
    }

    public void setFhlfsbh(String fhlfsbh) {
        this.fhlfsbh = fhlfsbh == null ? null : fhlfsbh.trim();
    }

    public String getFhlfs() {
        return fhlfs;
    }

    public void setFhlfs(String fhlfs) {
        this.fhlfs = fhlfs == null ? null : fhlfs.trim();
    }

    public String getFhlffbh() {
        return fhlffbh;
    }

    public void setFhlffbh(String fhlffbh) {
        this.fhlffbh = fhlffbh == null ? null : fhlffbh.trim();
    }

    public String getFhlff() {
        return fhlff;
    }

    public void setFhlff(String fhlff) {
        this.fhlff = fhlff == null ? null : fhlff.trim();
    }

    public String getFqtype() {
        return fqtype;
    }

    public void setFqtype(String fqtype) {
        this.fqtype = fqtype == null ? null : fqtype.trim();
    }

    public String getFqt() {
        return fqt;
    }

    public void setFqt(String fqt) {
        this.fqt = fqt == null ? null : fqt.trim();
    }

    public String getFqn() {
        return fqn;
    }

    public void setFqn(String fqn) {
        this.fqn = fqn == null ? null : fqn.trim();
    }

    public String getFqm() {
        return fqm;
    }

    public void setFqm(String fqm) {
        this.fqm = fqm == null ? null : fqm.trim();
    }

    public String getFqall() {
        return fqall;
    }

    public void setFqall(String fqall) {
        this.fqall = fqall == null ? null : fqall.trim();
    }

    public String getFqallbh() {
        return fqallbh;
    }

    public void setFqallbh(String fqallbh) {
        this.fqallbh = fqallbh == null ? null : fqallbh.trim();
    }
}